2025-01-25  Karl Berry  <karl@freefriends.org>

	* pdftex.tex (\ignoreprimitiveerror): document this.

2025-01-18  Karl Berry  <karl@freefriends.org>

	* pdftex.tex (\pdfximage): mention that image metadata is (now)
	ignored if it's bogus.

2024-08-20  Karl Berry  <karl@freefriends.org>

	* pdftex.tex (\pdfstartlink): give complete url example.
	(thoughout): use whatsit

2024-07-21  Karl Berry  <karl@freefriends.org>

	* pdftex.tex (\pdfuseptexuseunderscore): new section.

2024-02-22  Max Chernoff  <karl@freefriends.org>

	* pdftex.tex (\pdfximage): mentioned named destination
	(General definitions and syntax rules) <page spec>: add
	named {general text} as another alternative.

2024-02-22  Karl Berry  <karl@freefriends.org>

	* pdftexmanual.cls (\Something): force \rm for argument text.
	* pdftex.tex: eliminate \rm in calls.

2024-02-20  Karl Berry  <karl@freefriends.org>

	* Makefile (install): update and execute for 2024.

2024-02-01  Karl Berry  <karl@freefriends.org>

	* pdftex.tex (\pdfglyphtounicode): mention that a dot and anything
	after is stripped from glyph names before looking for mappings.
	(\pdfpxdimen): note that the pdftex default is a few sp different
	from luatex, and both luatex and pdftex are a few sp different
	from 72dpi. From jfbu,
	https://tug.org/pipermail/pdftex/2023-March/009325.html.

2024-01-16  Karl Berry  <karl@freefriends.org>

	* pdftex.tex: simplify PDF inclusion for tagging,
	mention alternatives for small verbatim,
	use table option instead of firstaid.
	(Still does not actually pass )
	https://tug.org/pipermail/pdftex/2024-January/009377.html

2024-01-08  Karl Berry  <karl@freefriends.org>

	* pdftex.tex: add alt text for graphic and extra \par
	for inline verbatim block. Suggestion from Ulrike:
	https://tug.org/pipermail/pdftex/2024-January/009375.html
	
	* Makefile ($(tinydoc)-fmt.pdf): forgot a `basename`.

2024-01-07  Karl Berry  <karl@freefriends.org>

	* pdftex.tex: new version of manual in LaTeX; substantially
	the same content as the ConTeXt pdftex-t.tex (which is now removed).
	* pdftexmanual.cls: LaTeX document class for manual.
	* syntaxform.pl: adapt for new source.
	* .dict.pws: aspell exceptions.
	* Makefile: rewrite for LaTeX.
	* README: update.

	* incl: new subdirectory.
	* incl/fdl-1.2.tex: adapted from
  	https://www.gnu.org/licenses/old-licenses/fdl-1.2.tex.
	* incl/ini-etex.txt,
	* incl/ini-pdfetex.txt,
	* incl/pdftexconfig.txt: renamed from previous example files.
	* incl/pdfmin-fmt.tex: ConTeXt source to format the tiny PDF example,
	pulled out from pdftex-t.tex.
	* incl/pdfmin-src.tex: source for the tiny PDF example,
	renamed from pdftex-w.tex.
	* incl/pdftex-help.txt: generated.
	
	* pdftex-t.tex: remove, old ConTeXt source.
	* pdftex-i.tex: remove, old ConTeXt screen version, not built
	for many years.
	* syntaxform.awk: remove, not worth the trouble to update.
	* makefiles.cmd: remove, old Windows routine.

2024-01-06  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfximage): mention the "named" keyword
	for named destination. This is the last change to the ConTeXt
	source before removal and replacement by the LaTeX version.

2023-04-30  Karl Berry  <karl@freefriends.org>
	and Han The Thanh  <hanthethanh@gmail.com>

	* pdftex-t.tex (\pdfglyphtounicode): describe the
	\pdfglyphtounicode{tfm:foo/abc}{5678}
	feature to define abc=U+5678 for only the font foo.tfm.

2023-02-26  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\introducedplural): new macro.
	(\pdfinterwordspaceon,off, \pdfspacefont): tweak Thanh's description.
	Use \Lbrace, \Rbrace outside of \type.

2023-01-20  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfliteral, \special): document new shipout keyword.
	From Phelype Oleinik <phe.h.o1@gmail.com>, 16 Jan 2023 20:51:33,
	mail to latex-team + karl.

2022-12-22  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfomitprocset): document.

2022-06-08  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (Graphics): never mind about "encapsulated PDF";
	mention supp-pdf.tex and supp-pdf.mkii.

2022-04-26  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfinfoomitdict): document.

	* pdfhelp-help.txt: regenerate for mailing list url.

	* Makefile (pdftex-w.pdf): set KPATHSEA_WARNING=0 since we run
	this with -ini.

2022-02-28  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (ptex_devel): svn://tug.org url.

2021-11-06  Marcel Kr\"uger  <tex@2krueger.de>

	* pdftex-t.tex (\showstream): document.

2021-11-06  Marcel Kr\"uger  <tex@2krueger.de>

	* pdftex-t.tex: missed bookmarks for \pdfgentounicode and
	a few other primitives.

2021-11-04  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: size GFDL for two pages, since it was spilling over.
	Let first bodyfont size stand.
	Rearrange some text for new font size.
	
2021-11-04  Marcel Kr\"uger  <tex@2krueger.de>

	* pdftex-t.tex: document structured destinations (\pdfdest struct NNN).
	Also bump document font size to 11pt.

2021-09-25  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfstartlink): organize into lists.

2021-07-25  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: oops, \partokencontext sorts before \partokenname.
	* pdftex-t.tex (\partokenname, \partokencontext): document these
	new primitives.

2021-07-24  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (Installation): rename this section from "Getting
	started", and move to the end.
	(Macro programming, Typesetting, Tracing, \PDFTEX\ execution
	environment): split "Miscellanous" primitives subsection into these.
	(Character translation): move to before Abbreviations.
	No substantive changes to the content in any of this.

2021-02-18  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: update for 2021:
	(\tracinglostchars): new behavior when >=3.
	(\tracingstacklevels): new primitive.

2020-06-14  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: small tweaks throughout.
	
	(\pdffontexpand): warn about pdftex immediately loading the
	non-autoexpanded fonts at maximum stretch and shrink, even if
	they never used. Report from Robert Schlict,
	https://tug.org/pipermail/tex-live/2020-March/045099.html
	https://mailman.ntg.nl/pipermail/ntg-pdftex/2020-March/004307.html.

	(\pdfgentounicode): mention the automapping of uniXXXX.
	Suggestion by Ulrike Fischer,
	https://tug.org/pipermail/tex-live/2020-May/045763.html

2020-03-02  Karl Berry  <karl@freefriends.org>

	* Makefile (common_deps): don't include pdftex-help.txt,
	then we always rebuild.
	* pdftex-w.tex: insert \hfil since this is ini.

2020-03-01  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\input): new entry for \input{...}.
	(History): describe current situation better.
	Remove teTeX references. Use https.

2019-12-25  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfmdfivesum): explain the non-file (string) form too.
	(\pdffiledump): explain that length defaults to zero.
	Report from Bruno Le Floch,
	https://tug.org/pipermail/pdftex/2015-July/008948.html.
	
	Also:
	(\MDFIVE): avoid oldstyle numbers.
	(\Syntax): don't swallow spaces after final \kern.
	(\Whatever): \kern.75em before, for more separation.
	(\Somethingtext): new \Something that keeps surrounding spaces in
	input, to be used in text (vs. syntax lines).

2019-11-25  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: document \pdfmajorversion. Besides the new
	primitive description, affects \pdfobjcompresslevel and \pdfhicolor.

2019-01-19  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\currentpdftex): 1.40.20 (for TeX Live 2019).

2018-11-13  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (Invoking \PDFTEX),
	(\pdffilemoddate): if SOURCE_DATE_EPOCH and FORCE_SOURCE_DATE are
	both set, return UTC.

2019-05-17  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\expanded): primitive imported from 1.50 branch.

2018-01-01  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (encodingfile): supported for Type 3 fonts.

2017-12-14  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfinfo): describe [+-]HH'mm' time zone
	specification as well as Z.

2017-11-28  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfprimitive): clarify further.

2017-11-14  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdftrailerid): absolute file name is no longer
	used in the /ID seed, just the base name, for reproducibility.
	(\pdfprimitive): clarify.

2017-04-20  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\currentpdftex): 1.40.18 (for TeX Live 2017).
	
	* pdftex-t.tex (Map files): omit description of tfm-only map
	entries (and pgc), since the behavior might change. Use "psname"
	instead of "basename" for possible clarity. Various other rewordings.

	*pdftex-t.tex (--version, --pdf): do not erroneously output a tt
	ligature.

2017-03-18  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: starting from -> starting with
	* pdftex-t.tex: starting from -> starting with.

2017-03-17  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\efcode, \rpcode, \lpcode, \knbscode, \knstcode,
	\knshcode, \knbccode, \knaccode): state that changes to these
	tables are global, not affected by TeX's grouping, and only to the
	particular <font> specified. Report from Doug McKenna.

2017-03-16  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: behavior, not behaviour, for consistency with
	seemingly all else (color, math, etc.).

	* pdftex-t.tex: behavior, not behaviour. Nothing else here is UK.Eng.

	* pdftex-t.tex (Map files) <encodingfile>: can be specified for
	bitmap PK fonts now also.

	* pdftex-t.tex (\tagcode): use <8-bit number> like everything else,
	rather than <character code>. Report from Doug McKenna.

2017-02-18  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfpageattr): document new behavior of
	omitting our /MediaBox if "/MediaBox" is present in this token list.

2017-02-01  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (Map files): clarify that decimal 4 = bit position 3
	= symbolic, for embedded fonts, and specify the 0x22 default for
	non-embedded fonts.
	Report from Gernot Hassenpflug to pdftex, 1 Dec 2016 14:01:30.

2016-07-05  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfcatalog): show "openaction <action spec>"
	after the <general text>, instead of creating an <open-action spec>,
	for (hopefully) more clarity.
	(open-action spec): remove \Syntax item.
	Report from Douglas McKenna to pdftex list, 3 Jul 2016 12:46:59.
	
	(\pdftrailer, \pdftrailerid): give simple examples.

2016-06-12  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (\pdfmatch): mention default subcount 10; wording.
	(\pdflastmatch): clarify match position, wording;
	
	* pdftex-t.tex (Invoking \PDFTEX): new name FORCE_SOURCE_DATE for
	SOURCE_DATE_EPOCH_TEX_PRIMITIVES.

2016-05-20  Karl Berry  <karl@tug.org>

	* TeX Live 2016 release.

2016-05-05  Karl Berry  <karl@tug.org>

	* pdftex-t.tex: missed \

2016-05-04  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex (Invoking \PDFTEX): describe
	SOURCE_DATE_EPOCH_TEX_PRIMITIVES, with caveats.

2016-04-25  Karl Berry  <karl@freefriends.org>

	* samplepdf: move subdir up a level for more visibility.
	* pdftex-t.tex: adjust doc.

	* pdftex-t.tex: reduce long lines, reduce spaces after markup.
	(\pdftex-syntax.tex): \input this autogenerated file,
	instead of having redundant (and out of date) text.
	(\Modelist): new macro for the (h,v,m) listings,
	so we can autogenerate complete primitive/syntax info.
	(\pdfpageresources): document this, previously missing.

	* syntaxform.pl: new script to generate pdftex-syntax.tex.
	* syntaxform.awk: handle \Modelist, discard \unkern.
	* Makefile (default): build only what we distribute in TL.
	(all): build everything else.
	(pdftex-syntax.tex): new rule using syntaxform.pl; related changes.
	* README: bring up to date, avoid redundancies.

2016-04-25  Karl Berry  <karl@freefriends.org>

	* pdftex-w.txt: rename from pdftex-t.txt.
	* pdftex-t.tex: change \typefile call.
	* Makefile: change calls and dependencies.
	
	* pdftex-t.tex: use \type{-}\type{-help}, etc., to work
	with both older and newer ConTeXt.
	
	* Makefile (pdftex_binary): use "pdftex" if no binary
	in the build path.

2016-04-23  Karl Berry  <karl@freefriends.org>

	* pdftex-t.tex: Update for 1.40.17 (TeX Live 2016).
	(Invoking \PDFTEX): new section, with description of
	new support for envvar SOURCE_DATE_EPOCH.
	New primitives: \pdfinfoomitdate \pdftrailerid \pdfsuppressptexinfo.

2015-03-25  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\currentpdftex): 1.40.16.  (TeX Live 2015.)

2014-12-12  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfinclusionerrorlevel): if negative, no diagnostic.

2014-10-18  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfminorversion): better explain the compiled
	default (4) vs. the typical format default (5).  Report from Heiko
	on ntg-pdftex, 20 Sep 2014 23:51:01.

2014-04-23  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\currentpdftex): 1.40.15.  (Update TeX Live.)

2014-04-04  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfinterwordspace...): mention dummy-space font.

2014-03-23  Han The Thanh  <hanthethanh@gmail.com>

	* pdftex-t.tex (\pdfinterwordspace...): add new sections.

2014-03-23  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfgentounicode, \pdfglyphtounicode): be a bit
	less terse; mention failure of ligatures to be searchable by default.
	(glyphtounicode.tex): \input this at the end, why not.

2014-02-23  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex: small changes to the build process, copyright
	year, no pool file any more, etc.

	* pdftex-t.tex (\pdfnobuiltintounicode): belated doc.

2014-02-14  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfsuppresswarningpagegroup): doc.

2012-04-15  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex: update copyright and other years.
	(\currentpdftex): bump to 1.40.13 (missed this last year).
	(\PDFReference): italics looks nicer, I think.
	(Setting up fonts): description is written better to start on same
	line as item name.  Also avoids bad page break after item name.
	(\pdfsuppresswarningdupdest, \pdfsuppresswarningdupmap): doc.

	* Makefile (pdftexversion): get from \currentpdftex (also missed).

	* pdftex-w.tex: use flags (2=serif) to avoid warnings.

2011-04-01  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex: Explain \pdfnormaldeviate a bit more fully.
	Tweak wording of nearby entries.

2010-11-22  Karl Berry  <karl@gnu.org>

	* Makefile (distall): use $(distnopdf) instead of duplicating file
	list.

	* pdftex-t.tex: Fix \pdfobj example, PDF reference url,
	MacTeX much more current than CMacTeX, etc.
	From Paul I.

	* pdftex-t.tex: avoid text lines >=80 chars.
	No need for ~ after a and an in English.
	* pdftex-w.tex: make consistent with pdftex-t.tex.

2010-11-22  Paul Isambert  <zappathustra@free.fr>

        * pdftex-t.tex: fixes for \Something instead of \type

2010-11-19  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex: use \tex{foo} instead of \type{\foo} for bookmarks,
	so we get the \'s.
	Remove section about truetype details that became a TUB paper,
	to avoid duplication.

	* pdftex-w.tex (\pdfobjcompresslevel): must set to 0 explicitly.
	Noticed by Paul I.
	* pdftex-t.tex (titlepagelines): consequent update.

	* pdftex-t.tex: alphabetize misc new primitives list; typos.

2010-11-18  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex (\pdfretval): minimally document.

2010-11-16  Karl Berry  <karl@gnu.org>

	* pdftex-t.tex: a couple more abbreviations, English, etc.

2010-11-15  Paul Isambert  <zappathustra@free.fr>

        * pdftex-t.tex: more primitives.

2010-11-14  Karl Berry  <karl@gnu.org>

	* All files: expand keywords again, so the manual appears
	updated, among other things.

	* Makefile (pdftexversion): 1.40.11 now.
	(pdftex-t.txt): set GREP_OPTIONS=--text.
	
	* pdftex-i.tex: add \pdfmapline for contnav, somehow omitted
	from TL for years now.
	
	* pdftex-t.tex: update intro information about distributions,
        etc., to be somewhat more accurate.

(This ChangeLog file is public domain.)
